using Clutter;

internal class WelcomeMessage {
    public static void show_on_window(GazetteWindow window) {
    	var welcome = new ShadowedLabel("<span font='50' face='Raleway'>%s</span>".printf (_("Welcome") + ", " + Environment.get_real_name ()));
		welcome.x = 50;
		welcome.y = 200;
		welcome.opacity = 0;
		welcome.animate (AnimationMode.LINEAR, 500, opacity : 255, x : 100.0f).get_timeline ().completed.connect (() => {
			welcome.animate (AnimationMode.LINEAR, 1000, x : 200.0f).get_timeline ().completed.connect (() => {
				welcome.animate (AnimationMode.LINEAR, 500, x : 250.0f, opacity : 0);
			});
		});
		window.stage.add_child (welcome);
        var randomlinetext = "______________________________________";
        var randomline1 = new ShadowedLabel("<span font='10' face='FreeMono'>%s</span>".printf (_(randomlinetext)));
		randomline1.x = 760;
		randomline1.y = 260;
		randomline1.opacity = 0;
        randomline1.scale_x= welcome.width / ( randomline1.width );
		randomline1.animate (AnimationMode.EASE_IN_QUAD, 900, opacity : 255, x : 100.0f ).get_timeline ().completed.connect (() => {
			randomline1.animate (AnimationMode.LINEAR, 10, x : 75.0f).get_timeline ().completed.connect (() => {
				randomline1.animate (AnimationMode.EASE_OUT_QUAD, 1000, x : 50.0f, opacity : 0);
			});
		});
		window.stage.add_child (randomline1);
        var randomline2 = new ShadowedLabel("<span font='10' face='FreeMono'>%s</span>".printf (_(randomlinetext)));
		randomline2.x = 50;
		randomline2.y = 195;
		randomline2.opacity = 0;
        randomline2.scale_x= welcome.width / ( randomline2.width );
		randomline2.animate (AnimationMode.EASE_IN_QUAD, 700, opacity : 255, x : 600.0f ).get_timeline ().completed.connect (() => {
			randomline2.animate (AnimationMode.LINEAR, 1, x : 700.0f).get_timeline ().completed.connect (() => {
				randomline2.animate (AnimationMode.EASE_OUT_QUAD, 1000, x : 760.0f, opacity : 0);
			});
		});
		window.stage.add_child (randomline2);
	}
}
